<!DOCTYPE html>
<?php
    $emp_id = $_GET['id']; 
    
    include('includes/dbcon.php');
?>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Task Attendance</title>
	<style>
		body {
			font-family: sans-serif;
			background: #ccc;
		} 
		/* custom class */
		.gantt .bar-milestone .bar {
			fill: tomato;
		}
		.heading {
			text-align: center;
		}
	</style>
	<link rel="stylesheet" href="dist/frappe-gantt.css" />
	<script src="dist/frappe-gantt.js"></script> 
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet"   >
	<script src="bootstrap/js/jquery.js"></script> 
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"  ></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css" integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
	
	<link href="//cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css" rel="stylesheet"   >
	<script src="//cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script> 
</head>
<body>
  <?php 
  
  $sql ="SELECT * FROM `employees` where id = '$emp_id'   ";
  $query=mysqli_query($con,$sql)or 
  die(print('SQL Error')); 

  $row=mysqli_fetch_array($query);

  
  $sql_comp ="SELECT * FROM `company_info` ";
  $query_comp=mysqli_query($con,$sql_comp)or 
  die(print('SQL Error')); 

  $row_comp=mysqli_fetch_array($query_comp);
  
  ?>
	<section class="vh-100" style="background-color: #eee;">
		<div class="container-responsive py-5 h-100">
		  <div class="  d-flex justify-content-center align-items-center       ">
        <div class="col-md-12 col-xl-10">
          <div class="card "> 
            <div class="card-header p-3 border-0">
              <h5 class="mb-0"><i class="fas fa-user me-2"></i>Employee Information</h5>
            </div> 
            <div class="d-flex flex-row">
              <img src="no-image.jpg" class="img-thumbnail w-25 p-5 rounded-circle" alt="..."> 
              <div class="mt-5 ms-3">
                <p class="display-6 mt-5 ">
                  <?php echo $row['first_name'].' '.$row['middle_name'].' '.$row['last_name'] ?>
                </p>
                <p class="lead-text mb-0">
                  <i class="fa fa-solid fa-ranking-star"></i> 
                  <?php echo $row['position'] ?>
                </p>
                <p class="lead-text mb-0">
                  <i class="fa fa-solid fa-hashtag"></i> <?php echo $row['emp_no'] ?>
                </p>
              </div>
              <div class="mt-5 ms-5"> 
                <p class="lead-text   mt-5">
                  <i class="fa fa-solid fa-building"></i> <?php echo $row_comp['Company Name'] ?>
                </p> 
                <p class="lead-text  ">
                  <i class="fa fa-solid fa-map-location-dot"></i> <?php echo $row_comp['Address'] ?>
                </p> 
                <p class="lead-text ">
                  <i class="fa fa-solid fa-envelope"></i> <?php echo $row['work_email'] ?>
                </p> 
                <p class="lead-text  ">
                  <i class="fa fa-solid fa-location-dot"></i>  <?php echo $row['complete_address'] ?>
                </p> 
                <p class="lead-text  ">
                  <i class="fa fa-solid fa-phone"></i>  <?php echo $row['contact_number'] ?>
                </p> 
              </div>
              <!-- <div class="mt-5 ms-5">
                <p class="lead-text mb-0 mt-5">
                  <strong>Joining Date</strong>
                  <p class="ms-4"> teaads</p>
                </p> 
                <p class="lead-text mb-0 mt-5">
                  <strong>Last Activity</strong>
                  <p class="ms-4"> teaads</p>
                </p> 
              </div>  -->
            </div>
          </div>
        </div>
      </div>
		  <div class="  d-flex justify-content-center align-items-center  ">
			<div class="col-md-12 col-xl-10">

			  <div class="card">
				<div class="card-header p-3">
				  <h5 class="mb-0"><i class="fas fa-tasks me-2"></i>Task List</h5>
				</div>
				<ul class="nav nav-tabs">
					<li class="nav-item">
					  <a class="nav-link active" data-index="1" aria-current="page" href="#">Active</a>
					</li>  
					<li class="nav-item">
					  <a class="nav-link  " data-index="2" aria-current="page" href="#">Close/Done</a>
					</li>  
					<li class="nav-item">
					  <a class="nav-link  " data-index="3" aria-current="page" href="#">Attendance Log</a>
					</li>  
				  </ul>
				<div class="card-body"   style="position: relative; height: 400px; overflow-y: scroll;">
				    
				    <div class="table-index-1 tab-index  "> 
				        <table class="table mb-0  table-striped table-hover ">
					<thead class ="table-primary">
					  <tr>
						<th scope="col"><input class="form-check-input" type="checkbox"  id="check_all"></th> 
						<th scope="col">Project</th>
						<th scope="col">Task</th>
						<th scope="col">Planned Timeline</th>
						<th scope="col">Planned Mandays</th>
						<!--<th scope="col">Priority</th>-->
						<!-- <th scope="col">Progress</th> -->
						<th scope="col">Hrs Spent</th>
						<th scope="col">Activities</th>
						<th scope="col">Status</th>
						<th scope="col">Task phase</th>
						<th scope="col">Actions</th>
					  </tr>
					</thead>
					<tbody>
					    <?php 
                        					    
                            $sql_chp="SELECT *, ifnull((SELECT sum(calculated_hours) from tasks_attendance where task_id = TaskID and member_id = $emp_id ),0) AS hrs_calculated
                            , ifnull((SELECT sum(percentage_added) from tasks_attendance where task_id = TaskID and member_id = $emp_id ),0) AS units_sum
                            , ifnull((SELECT project_name from cost_center where id = ProjectID  ),0) AS project_name
                            , ifnull((SELECT sum(qty) as total_units FROM `task_detail` where employee = '$emp_id' AND txnid = projectID AND task = TaskName ),0) AS total_units
                            , (SELECT item_description from item where id = TaskName) AS name_of_task
                            FROM `tasks`  
                            where AssignedTo ='$emp_id' 
                            AND TaskStatus <> 'Close' AND TaskStatus <> 'Done' "; 
                                // echo $sql_chp;
                                $query_chp=mysqli_query($con,$sql_chp)or 
                                die(print('SQL Error')); 
					     
                                while($row=mysqli_fetch_array($query_chp)){
                                    $task_id = $row['TaskID'];
                                    // $projectID = $row['projectID'];
                                    // $item_id = $row['TaskName'];
                                    
                                    $units_sum = $row['units_sum'];
                                    $total_units = ( $row['total_units'] > 0 ? $row['total_units'] : $row['units_sum'] ) ;
                                     
                                    // echo "sum".$units_sum;
                                    // echo "total".$total_units;
                                       
                                    $calculated_progress =round( (( ($units_sum*100)/ $total_units )),2);
                                    $calculated_progress = ($calculated_progress > 100 ? 100 : $calculated_progress);
                                      
                                    // $row['PercentComplete']
                                     
                                    $sql_att="SELECT * FROM `tasks_attendance` 
                                    where member_id ='$emp_id' AND task_id = $task_id AND time_out is NULL
                                    order by id desc
                                    LIMIT 1";  
                                        $query_att=mysqli_query($con,$sql_att)or 
                                        die(print('SQL Error')); 
        					     
                                    if($row_att=mysqli_fetch_array($query_att)){ 
                                        $state = 'end';
                                        $latest_status = '';
                                        
                                        $last_status = new DateTime($row_att['time_in']);
                                         
                                            
                                    }else{
                                        
                                        
                                        $sql_att2="SELECT * FROM `tasks_attendance` 
                                        where member_id ='$emp_id' AND task_id = $task_id  
                                        order by id desc
                                        LIMIT 1";  
                                        $query_att2=mysqli_query($con,$sql_att2)or 
                                        die(print('SQL Error')); 
                                        $row_att2=mysqli_fetch_array($query_att2);
                                        
                                        $last_status = new DateTime($row_att2['time_out']);
                                        $state = 'start';
                                    }
                                    
                                    // status time
                                        $date_today = new DateTime();
                                        
                                        $diff = $date_today->diff($last_status);
                                        
                                        $sec= $diff->s;
                                        $mins= $diff->i;
                                        $hours = $diff->h;
                                        // $hours = $hours + ($diff->days*24);
                                        
                                        if($hours == 0){
                                            $time_status = "$mins minutes";
                                        }else{
                                            
                                            $time_status = "$hours hrs";
                                        }
                                        
                                        if($hours == 0 && $mins == 0 && $sec == 0){
                                            $time_status = "No recent activities";
                                        }else{
                                            
                                            if($state == 'end'){
                                                
                                                $time_status = "Last time-in since $time_status ago";
                                            }else{
                                                $time_status = "Last activity since $time_status ago";
                                                
                                            }
                                        }
                                        
                                    // end status time
                                        
                                    
                                    $start_date = ($row['SchedStart']);
                                    $end_date = ($row['SchedEnd']);
                                      
                                    $datediff = strtotime($end_date) - strtotime($start_date);

                                    $datediff_days = round($datediff / (60 * 60 * 24));
                                    
                                            if(date_format(date_create($start_date),"Y") == date_format(date_create($end_date),"Y")){
                                                $year_start = "";
                                                $year_end = date_format(date_create($end_date),"Y");
                                            }else{
                                                $year_start = ', '.date_format(date_create($start_date),"Y"); 
                                                $year_end = date_format(date_create($end_date),"Y");
                                            }
                                    
                                    
                                            if(date_format(date_create($start_date),"M") == date_format(date_create($end_date),"M") && date_format(date_create($start_date),"Y") == date_format(date_create($end_date),"Y") ){
                                                $date_time_label = '<span class=" ">'.date_format(date_create($start_date),"M").'</span> '  .date_format(date_create($start_date),"j").' '.$year_start.' - '.date_format(date_create($end_date),"j").', '.$year_end;
                                            }else{
                                                $date_time_label =  '<span class=" ">'.date_format(date_create($start_date),"M").'</span> '  . date_format(date_create($start_date),"j").' '.$year_start.' - '.'<span class=" ">'.date_format(date_create($end_date),"M").'</span> '  .date_format(date_create($end_date),"j").', '.$year_end ;
                                            }
                                     
                                     

					    ?>  
					  <tr class="fw-normal <?php echo ($state == 'end' ? 'border-success border-2 border-top border-start border-end' : '')?>" data-id="<?php echo $row['TaskID']; ?>"> 
              <td class="align-middle">
                <!-- <input class="form-check-input select-checks" type="checkbox" value="" > -->
                <a class="btn show_more "><i class="fa fa-solid fa-caret-right "></i></a>
              </td>
              <td class="align-middle">
                <span><?php echo $row['project_name'];?></span>
              </td>
              <td class="align-middle">
                <span><?php echo $row['name_of_task'];?></span>
              </td>
              <td class="align-middle">
                <h6 class="mb-0"><span class="badge bg-primary"><?php echo $date_time_label;?></span></h6>
              </td> 
              <td class="align-middle">
                <h6 class="mb-0"><span class="text-center   "><?php echo $datediff_days;?></span></h6>
              </td> 
              <!-- <td class="align-middle"> -->
                <!--<h6 class="mb-0"><span class="text-primary text-center"><?php echo "$units_sum/$total_units | $calculated_progress%" ;?></span></h6>-->
                <!-- <h6 class="mb-0"><span class="text-primary text-center"><?php echo "$calculated_progress%" ;?></span></h6>
              </td> -->
              <td class="align-middle">
                <h6 class="mb-0"><span class="text-primary text-center"> <?php echo $row['hrs_calculated'];?> </span></h6>
              </td>
              <td class="align-middle">
                <h6 class="mb-0"><span class="text-primary text-center"><?php echo $time_status;?> </span></h6>
              </td>
              <td class="align-middle ">
                <div class="d-flex flex-row " >
                  <span class="mx-2">
                    <?php echo $row['TaskStatus'];?>   
                  </span>
                  <span class="mx-2">
                    <?php   
                      if($row['sbumit_status'] == 'pending'){

                        if($row['hrs_calculated'] > 0 ){

                          ?> `<button type="button" class="btn btn-outline-success submit_task" >Submit</button>`;
                          <?php  
                        }else{

                          ?> `<button type="button" class="btn btn-outline-danger" disabled>Submit</button>`;
                          <?php  
                        }

                      } 
                      if($row['sbumit_status'] == 'submitted'){ 

                        ?> `<button type="button" class="btn btn-outline-secondary submit_cancel" >Submitted</button>`;
                        <?php  
                      }
                      if($row['sbumit_status'] == 'done'){ 

                        ?> `<button type="button" class="btn btn-outline-secondary" disabled>Done</button>`;
                        <?php  
                      }
                    
                    ?>
                    
                  </span>
                </div> 
              </td>
              <td class="align-middle">
                <select class="form-select current_status" aria-label="Default select example " <?php echo ($state == 'start' ? 'disabled' : '')?>> 
                  <option value="Pending" <?php  echo ($row['phase_status'] == 'Pending'? 'selected' : '')?> >Pending</option> 
                  <option value="Project Study" <?php  echo ($row['phase_status'] == 'Project Study'? 'selected' : '')?>>Project Study</option> 
                  <option value="Floor planning" <?php  echo ($row['phase_status'] == 'Floor planning'? 'selected' : '')?>>Floor planning</option> 
                  <option value="Placement" <?php  echo ($row['phase_status'] == 'Placement'? 'selected' : '')?>>Placement</option> 
                  <option value="Routing" <?php  echo ($row['phase_status'] == 'Routing'? 'selected' : '')?>>Routing</option> 
                  <option value="Verification" <?php  echo ($row['phase_status'] == 'Verification'? 'selected' : '')?>>Verification</option> 
                  <option value="Quality checking" <?php  echo ($row['phase_status'] == 'Quality checking'? 'selected' : '')?>>Quality checking</option> 
                  <option value="Documentation" <?php  echo ($row['phase_status'] == 'Documentation'? 'selected' : '')?>>Documentation</option> 
                  <option value="Project Meeting" <?php  echo ($row['phase_status'] == 'Project Meeting'? 'selected' : '')?>>Project Meeting</option>  
                </select>
              </td>
              <td class="align-middle time-in-container">
                <button class="btn <?php echo ($state == 'start' ? 'btn-primary' : 'btn-success')?> rounded timein-btn" data-id="<?php echo $task_id?>" data-title="<?php echo $row['name_of_task']?>" data-state="<?php echo $state?>" ><?php echo ($state == 'start' ? 'Start' : 'End')?> </button>
              </td>
					  </tr> 
					  <?php }?>
					   
					</tbody>
				  </table> 
				    </div>
				  
				    <div class="table-index-2 d-none tab-index"> 
				        <table class="table mb-0 ">
					<thead>
					  <tr>
						<th scope="col">Project</th>
						<th scope="col">Task</th>
						<th scope="col">Timeline</th>
						<!--<th scope="col">Priority</th>-->
						<th scope="col">Progress</th>
						<th scope="col">Hrs Spent</th>
						<th scope="col">Status</th> 
					  </tr>
					</thead>
					<tbody>
					    <?php 
					    
					      
                        					    
                            $sql_chp="SELECT *, 
                            ifnull((SELECT sum(calculated_hours) from tasks_attendance where task_id = TaskID and member_id = $emp_id ),0) AS hrs_calculated
                            , ifnull((SELECT sum(percentage_added) from tasks_attendance where task_id = TaskID and member_id = $emp_id ),0) AS units_sum
                            , ifnull((SELECT project_name from cost_center where id = ProjectID  ),0) AS project_name
                            , ifnull((SELECT sum(qty) as total_units FROM `task_detail` where employee = '$emp_id' AND txnid = projectID AND task = TaskName ),0) AS total_units
                            , (SELECT item_description from item where id = TaskName) AS name_of_task
                            FROM `tasks`  
                            where AssignedTo ='$emp_id' 
                            AND (TaskStatus = 'Close' OR TaskStatus = 'Done' ) "; 
                                // echo $sql_chp;
                                $query_chp=mysqli_query($con,$sql_chp)or 
                                die(print('SQL Error')); 
					     
                                while($row=mysqli_fetch_array($query_chp)){
                                    $task_id = $row['TaskID'];
                                    // $projectID = $row['projectID'];
                                    // $item_id = $row['TaskName'];
                                    
                                    $units_sum = $row['units_sum'];
                                    $total_units = $row['total_units'];
                                    
                                    // echo "sum".$units_sum;
                                    // echo "total".$total_units;
                                       
                                    $calculated_progress =round( (( ($units_sum*100)/ $total_units )),2);
                                    $calculated_progress = ($calculated_progress > 100 ? 100 : $calculated_progress);
                                    
                                    
                                    $sql_att="SELECT * FROM `tasks_attendance` 
                                    where member_id ='$emp_id' AND task_id = $task_id AND time_out is NULL
                                    order by id desc
                                    LIMIT 1";  
                                        $query_att=mysqli_query($con,$sql_att)or 
                                        die(print('SQL Error')); 
        					     
                                    if($row_att=mysqli_fetch_array($query_att)){ 
                                        $state = 'end';
                                        $latest_status = '';
                                        
                                        $last_status = new DateTime($row_att['time_in']);
                                         
                                            
                                    }else{
                                        
                                        
                                        $sql_att2="SELECT * FROM `tasks_attendance` 
                                        where member_id ='$emp_id' AND task_id = $task_id  
                                        order by id desc
                                        LIMIT 1";  
                                        $query_att2=mysqli_query($con,$sql_att2)or 
                                        die(print('SQL Error')); 
                                        $row_att2=mysqli_fetch_array($query_att2);
                                        
                                        $last_status = new DateTime($row_att2['time_out']);
                                        $state = 'start';
                                    }
                                    
                                    
                                    // status time
                                        $date_today = new DateTime();
                                        
                                        $diff = $date_today->diff($last_status);
                                        
                                        $sec= $diff->s;
                                        $mins= $diff->i;
                                        $hours = $diff->h;
                                        // $hours = $hours + ($diff->days*24);
                                        
                                        if($hours == 0){
                                            $time_status = "$mins minutes";
                                        }else{
                                            
                                            $time_status = "$hours hrs";
                                        }
                                        
                                        if($hours == 0 && $mins == 0 && $sec == 0){
                                            $time_status = "No recent activities";
                                        }else{
                                            
                                            if($state == 'end'){
                                                
                                                $time_status = "Last time-in since $time_status ago";
                                            }else{
                                                $time_status = "Last activity since $time_status ago";
                                                
                                            }
                                        }
                                        
                                    // end status time
                                        
                                    
                                    $start_date = ($row['SchedStart']);
                                    $end_date = ($row['SchedEnd']);
                                     
                                    
                                    
                                            if(date_format(date_create($start_date),"YYYY") == date_format(date_create($end_date),"YYYY")){
                                                $year_start = "";
                                                $year_end = date_format(date_create($end_date),"Y");
                                            }else{
                                                $year_start = ', '.date_format(date_create($start_date),"Y"); 
                                                $year_end = date_format(date_create($end_date),"Y");
                                            }
                                    
                                    
                                            if(date_format(date_create($start_date),"M") == date_format(date_create($end_date),"M") && date_format(date_create($start_date),"Y") == date_format(date_create($end_date),"Y") ){
                                                $date_time_label = '<span class=" ">'.date_format(date_create($start_date),"M").'</span> '  .date_format(date_create($start_date),"j").' '.$year_start.' - '.date_format(date_create($end_date),"j").', '.$year_end;
                                            }else{
                                                $date_time_label =  '<span class=" ">'.date_format(date_create($start_date),"M").'</span> '  . date_format(date_create($start_date),"j").' '.$year_start.' - '.'<span class=" ">'.date_format(date_create($end_date),"M").'</span> '  .date_format(date_create($end_date),"j").', '.$year_end ;
                                            }
                                     
					    ?>
					    
					  <tr class="fw-normal  "> 
						<td class="align-middle">
						  <span><?php echo $row['project_name'];?></span>
						</td>
						<td class="align-middle">
						  <span><?php echo $row['name_of_task'];?></span>
						</td>
						<td class="align-middle">
						  <h6 class="mb-0"><span class="badge bg-primary"><?php echo $date_time_label;?></span></h6>
						</td> 
						<td class="align-middle">
						  <h6 class="mb-0"><span class="text-primary text-center"><?php echo ($calculated_progress);?></span></h6>
						</td>
						<td class="align-middle">
						  <h6 class="mb-0"><span class="text-primary text-center"> <?php echo $row['hrs_calculated'];?> </span></h6>
						</td>
						<td class="align-middle">
						  <h6 class="mb-0"><span class="text-primary text-center"><?php echo $time_status;?> </span></h6>
						</td> 
					  </tr>
					  <?php }?>
					   
					</tbody>
				  </table> 
				    </div>

				  
				    <div class="table-index-3 d-none tab-index"> 
				        <table class="table mb-0  ">
					<thead>
					  <tr>
						<th scope="col">Task</th>
						<th scope="col">Start</th>
						<th scope="col">End</th>
						<th scope="col">Calculated Hrs</th>
						<th scope="col">Units Added</th> 
					  </tr>
					</thead>
					<?php
					
                            $sql_chp="SELECT *, (SELECT TaskName from tasks where TaskId = task_id   ) AS TaskName
                            FROM `tasks_attendance`  
                            where member_id ='$emp_id' 
                            order by id desc"; 
                                // echo $sql_chp;
                                $query_chp=mysqli_query($con,$sql_chp)or 
                                die(print('SQL Error')); 
					     
                                while($row=mysqli_fetch_array($query_chp)){
                                    $task_id = $row['TaskID'];
                                    $TaskName = $row['TaskName']; 
                                    
                                    $sql_chp_detail="
                                            SELECT item_description as name_of_task
                                            from item 
                                            where id = $TaskName 
                                       "; 
                                            // echo $sql_chp_detail;
                                            $query_chp=mysqli_query($con,$sql_chp_detail)or 
                                            die(print('SQL Error')); 
                                    
                                    $row_chp_detail=mysqli_fetch_array($query_chp);
                                           
                    ?>
					<tbody>
					  <tr class="fw-normal"> 
						<th>
							<span><?php echo $row_chp_detail['name_of_task']?></span>
						</th>
						<td class="align-middle">
							<span><?php echo  date_format(date_create($row['time_in']),"M j, Y H:i: A"); ?></span>
						</td>
						<td class="align-middle">
							<span><?php echo  ( $row['time_out'] == '' ? 'Ongoing' : date_format(date_create($row['time_out']),"M j, Y H:i A") ); ?></span>
						</td>
						<td class="align-middle">
							<span><?php echo ($row['calculated_hours'] > 0 ? $row['calculated_hours'] : 0 )?></span>
						</td> 
						<td class="align-middle">
							<span><?php echo ($row['percentage_added'] > 0 ? $row['percentage_added'] : 0 )?></span>
						</td> 
					  </tr> 
					  <?php }?>
					</tbody>
				  </table>
				    </div>
				</div>
				<div class="card-footer text-end p-3">
				  <!--<button class="me-2 btn btn-link">Exit</button>-->
				  <button class="btn btn-primary">Exit</button>
				</div>
			  </div>
	  
			</div>
		  </div>
		</div>
	  </section>
	  
	  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

	  
	  <script>
	      var emp_id = <?php echo $emp_id?>;
	  </script>

	  <script src="index.js"></script>
</body>
</html>