<!DOCTYPE html>
<?php
    $emp_id = $_GET['id'];
    
    include('includes/dbcon.php');
?>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Task Attendance</title>
	<style>
		body {
			font-family: sans-serif;
			background: #ccc;
		}
		.container {
			width: 80%;
			margin: 0 auto;
		}
		/* custom class */
		.gantt .bar-milestone .bar {
			fill: tomato;
		}
		.heading {
			text-align: center;
		}
	</style>
	<link rel="stylesheet" href="dist/frappe-gantt.css" />
	<script src="dist/frappe-gantt.js"></script> 
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet"   >
	<script src="bootstrap/js/jquery.js"></script> 
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"  ></script>
	
	
	<link href="//cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css" rel="stylesheet"   >
	<script src="//cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script> 
</head>
<body>
	<section class="vh-100" style="background-color: #eee;">
		<div class="container py-5 h-100">
		  <div class="row d-flex justify-content-center align-items-center h-100">
			<div class="col-md-12 col-xl-10">
	  
			  <div class="card">
				<div class="card-header p-3">
				  <h5 class="mb-0"><i class="fas fa-tasks me-2"></i>Task List</h5>
				</div>
				<ul class="nav nav-tabs">
					<li class="nav-item">
					  <a class="nav-link active" data-index="1" aria-current="page" href="#">Active</a>
					</li>  
					<li class="nav-item">
					  <a class="nav-link  " data-index="2" aria-current="page" href="#">Close/Done</a>
					</li>  
					<li class="nav-item">
					  <a class="nav-link  " data-index="3" aria-current="page" href="#">Attendance Log</a>
					</li>  
				  </ul>
				<div class="card-body"   style="position: relative; height: 400px; overflow-y: scroll;">
				    
				    <div class="table-index-1 tab-index"> 
				        <table class="table mb-0 ">
					<thead>
					  <tr> 
						<th scope="col">Task</th>
						<th scope="col">Timeline</th>
						<!--<th scope="col">Priority</th>-->
						<th scope="col">Progress</th>
						<th scope="col">Hrs Spent</th>
						<th scope="col">Status</th>
						<th scope="col">Actions</th>
					  </tr>
					</thead>
					<tbody>
					    <?php 
                        					    
                            $sql_chp="SELECT *, ifnull((SELECT sum(calculated_hours) from tasks_attendance where task_id = TaskID and member_id = $emp_id ),0) AS hrs_calculated
                            FROM `tasks`  
                            where IssueID ='$emp_id' 
                            AND TaskStatus <> 'Close' AND TaskStatus <> 'Done' "; 
                                // echo $sql_chp;
                                $query_chp=mysqli_query($con,$sql_chp)or 
                                die(print('SQL Error')); 
					     
                                while($row=mysqli_fetch_array($query_chp)){
                                    $task_id = $row['TaskID'];
                                    
                                    
                                    $sql_att="SELECT * FROM `tasks_attendance` 
                                    where member_id ='$emp_id' AND task_id = $task_id AND time_out is NULL
                                    order by id desc
                                    LIMIT 1";  
                                        $query_att=mysqli_query($con,$sql_att)or 
                                        die(print('SQL Error')); 
        					     
                                    if($row_att=mysqli_fetch_array($query_att)){ 
                                        $state = 'end';
                                        $latest_status = '';
                                        
                                        $last_status = new DateTime($row_att['time_in']);
                                         
                                            
                                    }else{
                                        
                                        
                                        $sql_att2="SELECT * FROM `tasks_attendance` 
                                        where member_id ='$emp_id' AND task_id = $task_id  
                                        order by id desc
                                        LIMIT 1";  
                                        $query_att2=mysqli_query($con,$sql_att2)or 
                                        die(print('SQL Error')); 
                                        $row_att2=mysqli_fetch_array($query_att2);
                                        
                                        $last_status = new DateTime($row_att2['time_out']);
                                        $state = 'start';
                                    }
                                    
                                    
                                    // status time
                                        $date_today = new DateTime();
                                        
                                        $diff = $date_today->diff($last_status);
                                        
                                        $sec= $diff->s;
                                        $mins= $diff->i;
                                        $hours = $diff->h;
                                        // $hours = $hours + ($diff->days*24);
                                        
                                        if($hours == 0){
                                            $time_status = "$mins minutes";
                                        }else{
                                            
                                            $time_status = "$hours hrs";
                                        }
                                        
                                        if($hours == 0 && $mins == 0 && $sec == 0){
                                            $time_status = "No recent activities";
                                        }else{
                                            
                                            if($state == 'end'){
                                                
                                                $time_status = "Last time-in since $time_status ago";
                                            }else{
                                                $time_status = "Last activity since $time_status ago";
                                                
                                            }
                                        }
                                        
                                    // end status time
                                        
                                    
                                    $start_date = ($row['SchedStart']);
                                    $end_date = ($row['SchedEnd']);
                                     
                                    
                                    
                                            if(date_format(date_create($start_date),"Y") == date_format(date_create($end_date),"Y")){
                                                $year_start = "";
                                                $year_end = date_format(date_create($end_date),"Y");
                                            }else{
                                                $year_start = ', '.date_format(date_create($start_date),"Y"); 
                                                $year_end = date_format(date_create($end_date),"Y");
                                            }
                                    
                                    
                                            if(date_format(date_create($start_date),"M") == date_format(date_create($end_date),"M") && date_format(date_create($start_date),"Y") == date_format(date_create($end_date),"Y") ){
                                                $date_time_label = '<span class=" ">'.date_format(date_create($start_date),"M").'</span> '  .date_format(date_create($start_date),"j").' '.$year_start.' - '.date_format(date_create($end_date),"j").', '.$year_end;
                                            }else{
                                                $date_time_label =  '<span class=" ">'.date_format(date_create($start_date),"M").'</span> '  . date_format(date_create($start_date),"j").' '.$year_start.' - '.'<span class=" ">'.date_format(date_create($end_date),"M").'</span> '  .date_format(date_create($end_date),"j").', '.$year_end ;
                                            }
                                     
					    ?>
					    
					  <tr class="fw-normal <?php echo ($state == 'end' ? 'border-success border-2 border-top border-start border-end' : '')?>"> 
						<td class="align-middle">
						  <span><?php echo $row['TaskName'];?></span>
						</td>
						<td class="align-middle">
						  <h6 class="mb-0"><span class="badge bg-primary"><?php echo $date_time_label;?></span></h6>
						</td> 
						<td class="align-middle">
						  <h6 class="mb-0"><span class="text-primary text-center"><?php echo ($row['PercentComplete'] > 0 ? $row['PercentComplete'] : 0 );?>%</span></h6>
						</td>
						<td class="align-middle">
						  <h6 class="mb-0"><span class="text-primary text-center"> <?php echo $row['hrs_calculated'];?> </span></h6>
						</td>
						<td class="align-middle">
						  <h6 class="mb-0"><span class="text-primary text-center"><?php echo $time_status;?> </span></h6>
						</td>
						<td class="align-middle time-in-container">
							<button class="btn <?php echo ($state == 'start' ? 'btn-primary' : 'btn-success')?> rounded timein-btn" data-id="<?php echo $task_id?>" data-title="<?php echo $row['TaskName']?>" data-state="<?php echo $state?>" ><?php echo ($state == 'start' ? 'Start' : 'End')?> </button>
						</td>
					  </tr>
					  <?php }?>
					   
					</tbody>
				  </table> 
				    </div>
				  
				    <div class="table-index-2 d-none tab-index"> 
				        <table class="table mb-0 ">
					<thead>
					  <tr> 
						<th scope="col">Task</th>
						<th scope="col">Timeline</th>
						<!--<th scope="col">Priority</th>-->
						<th scope="col">Progress</th>
						<th scope="col">Hrs Spent</th>
						<th scope="col">Status</th> 
					  </tr>
					</thead>
					<tbody>
					    <?php 
                        					    
                            $sql_chp="SELECT *, ifnull((SELECT sum(calculated_hours) from tasks_attendance where task_id = TaskID and member_id = $emp_id ),0) AS hrs_calculated
                            FROM `tasks`  
                            where IssueID ='$emp_id' 
                            AND (TaskStatus = 'Close' OR TaskStatus = 'Done' ) "; 
                                // echo $sql_chp;
                                $query_chp=mysqli_query($con,$sql_chp)or 
                                die(print('SQL Error')); 
					     
                                while($row=mysqli_fetch_array($query_chp)){
                                    $task_id = $row['TaskID'];
                                    
                                    
                                    $sql_att="SELECT * FROM `tasks_attendance` 
                                    where member_id ='$emp_id' AND task_id = $task_id AND time_out is NULL
                                    order by id desc
                                    LIMIT 1";  
                                        $query_att=mysqli_query($con,$sql_att)or 
                                        die(print('SQL Error')); 
        					     
                                    if($row_att=mysqli_fetch_array($query_att)){ 
                                        $state = 'end';
                                        $latest_status = '';
                                        
                                        $last_status = new DateTime($row_att['time_in']);
                                         
                                            
                                    }else{
                                        
                                        
                                        $sql_att2="SELECT * FROM `tasks_attendance` 
                                        where member_id ='$emp_id' AND task_id = $task_id  
                                        order by id desc
                                        LIMIT 1";  
                                        $query_att2=mysqli_query($con,$sql_att2)or 
                                        die(print('SQL Error')); 
                                        $row_att2=mysqli_fetch_array($query_att2);
                                        
                                        $last_status = new DateTime($row_att2['time_out']);
                                        $state = 'start';
                                    }
                                    
                                    
                                    // status time
                                        $date_today = new DateTime();
                                        
                                        $diff = $date_today->diff($last_status);
                                        
                                        $sec= $diff->s;
                                        $mins= $diff->i;
                                        $hours = $diff->h;
                                        // $hours = $hours + ($diff->days*24);
                                        
                                        if($hours == 0){
                                            $time_status = "$mins minutes";
                                        }else{
                                            
                                            $time_status = "$hours hrs";
                                        }
                                        
                                        if($hours == 0 && $mins == 0 && $sec == 0){
                                            $time_status = "No recent activities";
                                        }else{
                                            
                                            if($state == 'end'){
                                                
                                                $time_status = "Last time-in since $time_status ago";
                                            }else{
                                                $time_status = "Last activity since $time_status ago";
                                                
                                            }
                                        }
                                        
                                    // end status time
                                        
                                    
                                    $start_date = ($row['SchedStart']);
                                    $end_date = ($row['SchedEnd']);
                                     
                                    
                                    
                                            if(date_format(date_create($start_date),"YYYY") == date_format(date_create($end_date),"YYYY")){
                                                $year_start = "";
                                                $year_end = date_format(date_create($end_date),"Y");
                                            }else{
                                                $year_start = ', '.date_format(date_create($start_date),"Y"); 
                                                $year_end = date_format(date_create($end_date),"Y");
                                            }
                                    
                                    
                                            if(date_format(date_create($start_date),"M") == date_format(date_create($end_date),"M") && date_format(date_create($start_date),"Y") == date_format(date_create($end_date),"Y") ){
                                                $date_time_label = '<span class=" ">'.date_format(date_create($start_date),"M").'</span> '  .date_format(date_create($start_date),"j").' '.$year_start.' - '.date_format(date_create($end_date),"j").', '.$year_end;
                                            }else{
                                                $date_time_label =  '<span class=" ">'.date_format(date_create($start_date),"M").'</span> '  . date_format(date_create($start_date),"j").' '.$year_start.' - '.'<span class=" ">'.date_format(date_create($end_date),"M").'</span> '  .date_format(date_create($end_date),"j").', '.$year_end ;
                                            }
                                     
					    ?>
					    
					  <tr class="fw-normal  "> 
						<td class="align-middle">
						  <span><?php echo $row['TaskName'];?></span>
						</td>
						<td class="align-middle">
						  <h6 class="mb-0"><span class="badge bg-primary"><?php echo $date_time_label;?></span></h6>
						</td> 
						<td class="align-middle">
						  <h6 class="mb-0"><span class="text-primary text-center"><?php echo ($row['PercentComplete'] > 0 ? $row['PercentComplete'] : 0 );?>%</span></h6>
						</td>
						<td class="align-middle">
						  <h6 class="mb-0"><span class="text-primary text-center"> <?php echo $row['hrs_calculated'];?> </span></h6>
						</td>
						<td class="align-middle">
						  <h6 class="mb-0"><span class="text-primary text-center"><?php echo $time_status;?> </span></h6>
						</td> 
					  </tr>
					  <?php }?>
					   
					</tbody>
				  </table> 
				    </div>

				  
				    <div class="table-index-3 d-none tab-index"> 
				        <table class="table mb-0  ">
					<thead>
					  <tr>
						<th scope="col">Task</th>
						<th scope="col">Start</th>
						<th scope="col">End</th>
						<th scope="col">Calculated Hrs</th>
						<th scope="col">Units Added</th> 
					  </tr>
					</thead>
					<?php
					
                            $sql_chp="SELECT *, (SELECT TaskName from tasks where TaskId = task_id and IssueID = $emp_id ) AS TaskName
                            FROM `tasks_attendance`  
                            where member_id ='$emp_id' 
                            order by id desc"; 
                                // echo $sql_chp;
                                $query_chp=mysqli_query($con,$sql_chp)or 
                                die(print('SQL Error')); 
					     
                                while($row=mysqli_fetch_array($query_chp)){
                                    $task_id = $row['TaskID'];
                                    
                                    
                                           
                    ?>
					<tbody>
					  <tr class="fw-normal">
						<th>
							<span><?php echo $row['TaskName']?></span>
						</th>
						<td class="align-middle">
							<span><?php echo  date_format(date_create($row['time_in']),"M j, Y H:i: A"); ?></span>
						</td>
						<td class="align-middle">
							<span><?php echo  ( $row['time_out'] == '' ? 'Ongoing' : date_format(date_create($row['time_out']),"M j, Y H:i A") ); ?></span>
						</td>
						<td class="align-middle">
							<span><?php echo ($row['calculated_hours'] > 0 ? $row['calculated_hours'] : 0 )?></span>
						</td> 
						<td class="align-middle">
							<span><?php echo ($row['percentage_added'] > 0 ? $row['percentage_added'] : 0 )?>%</span>
						</td> 
					  </tr> 
					  <?php }?>
					</tbody>
				  </table>
				    </div>
				</div>
				<div class="card-footer text-end p-3">
				  <button class="me-2 btn btn-link">Exit</button>
				  <button class="btn btn-primary">End Task</button>
				</div>
			  </div>
	  
			</div>
		  </div>
		</div>
	  </section>
	  
	  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

	  
	  <script>
	      var emp_id = <?php echo $emp_id?>;
	  </script>

	  <script src="index.js"></script>
</body>
</html>